(ns microtables-frontend.views
  (:require
   [microtables-frontend.subs :as subs]
   [microtables-frontend.views.control-panel :refer [control-panel]]
   [microtables-frontend.views.sheet :refer [sheet]]
   [re-frame.core :as re-frame]))

(defn main-panel []
  (let [data (re-frame/subscribe [::subs/table-data])
        controls-state (re-frame/subscribe [::subs/controls-state])]
    [:div
     [sheet @data]
     [control-panel @controls-state]]))


